pqxx::basic_lostream< CHAR, TRAITS > Class Template Reference

Stream that reads and writes a large object. More...

`#include <largeobject.hxx>`

Inheritance diagram for pqxx::basic_lostream< CHAR, TRAITS >:
[legend]

## Public Types

using | char_type = CHAR
using | traits_type = TRAITS
using | int_type = typename traits_type::int_type
using | pos_type = typename traits_type::pos_type
using | off_type = typename traits_type::off_type

## Public Member Functions

| basic_lostream (dbtransaction &t, largeobject o, largeobject::size_type buf_size=512)
| Create a basic_lostream.
| basic_lostream (dbtransaction &t, oid o, largeobject::size_type buf_size=512)
| Create a basic_lostream.
| ~basic_lostream ()

## Detailed Description

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>
class pqxx::basic_lostream< CHAR, TRAITS >

Stream that reads and writes a large object.

Deprecated:
  Access large objects directly using the blob class.

This worked like a std::iostream, but to read data from, or write data to, a large object. It supported all formatting and streaming operations of `std::iostream`.

This functionality was considered too fragile and complex, so it has been replaced with a single, much simpler class.

## Member Typedef Documentation

## char_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::char_type = CHAR

## int_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::int_type = typename traits_type::int_type

## off_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::off_type = typename traits_type::off_type

## pos_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::pos_type = typename traits_type::pos_type

## traits_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::traits_type = TRAITS

## Constructor & Destructor Documentation

## basic_lostream() [1/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::basic_lostream | ( | dbtransaction & | t,
|  | largeobject | o,
|  | largeobject::size_type | buf_size = `512`
| ) |  |

Create a basic_lostream.

Parameters

  t | Transaction in which this stream is to exist.
  o | Large object to access.
  buf_size | Size of buffer to use internally (optional).

References pqxx::binary.

## basic_lostream() [2/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::basic_lostream | ( | dbtransaction & | t,
|  | oid | o,
|  | largeobject::size_type | buf_size = `512`
| ) |  |

Create a basic_lostream.

Parameters

  t | Transaction in which this stream is to exist.
  o | Large object to access.
  buf_size | Size of buffer to use internally (optional).

References pqxx::binary.

## ~basic_lostream()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::~basic_lostream | ( |  | ) |

The documentation for this class was generated from the following file:

- largeobject.hxx